
// ParticlesES.java
// Andrew Davison, May 2007, ad@fivedots.coe.psu.ac.th

/* Display a canvas using JOGL-ES, the Java Bindings for OpenGL ES (JSR 239).
   The canvas displays a floor, a particles fountain, and a textured cube.

   The user can navigate around the scene using the navigational
   keys.
*/


import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;


public class ParticlesES extends MIDlet implements CommandListener
{
  private Command exitCommand;
  private ParticlesGameCanvas canvas;


  public ParticlesES()
  {
    exitCommand = new Command("Exit", Command.EXIT, 1);
    canvas = new ParticlesGameCanvas();
    canvas.addCommand(exitCommand);
    canvas.setCommandListener(this);
  }  // end of ParticlesES()


  public void startApp()
  {  Display.getDisplay(this).setCurrent(canvas);  }


  public void pauseApp() {}


  public void destroyApp(boolean unconditional)
  { canvas.stopRunning();  }    // stop the boxes animation


  public void commandAction(Command command, Displayable displayable)
  {
    if (command == exitCommand) {
      destroyApp(true);
      notifyDestroyed();
    }
  } // end of commandAction()

} // end of ParticlesES class
